import { ContainerModule } from 'inversify';
import { TEAM_SERVICE_TOKEN, TEAM_JOIN_SERVICE_TOKEN } from '../tokens';
import { TeamService } from '@/lib/services/teams/TeamService';
import { TeamJoinService } from '@/lib/services/teams/TeamJoinService';

export const TeamModule = new ContainerModule((options) => {
  const bind = options.bind;

  bind(TEAM_SERVICE_TOKEN)
    .to(TeamService)
    .inSingletonScope();

  bind(TEAM_JOIN_SERVICE_TOKEN)
    .to(TeamJoinService)
    .inSingletonScope();
});